Subject: Re: [TLS] Security concerns around co-locating TLS and non-secure on same port (WGLC: draft-ietf-tsvwg-iana-ports-08)

From: Michael D'Errico <[email-masked]>
Date: Tue, 09 Nov 2010 19:38:51 -0800

Peter Gutmann wrote:
> Peter Saint-Andre <[email-masked]> writes:
> 
>> I think what we're seeing in the land of constrained devices is the flipside
>> of Moore's Law: not more powerful devices, but cheaper devices.
> 
> That's a good way of putting it (having done a lot of embedded crypto work, 
> the issue of people continually wishing away performance issues is a pet 
> peeve).  Just in the last week I've had three requests from companies wanting 
> to run standard crypto protocols on Cortex M3 hardware.  In all three cases 
> I've had to tell them "you can't do that" because, well, you can't.

I totally appreciate that not all hardware is crypto-capable; I'm not
wishing away performance issues (if you were referring to me).

But I just made a TLS 1.0 connection from my MP3 player (!!!) to my TLS
test server.  I mean are we not living in the future???

Mike